import React, { Component } from 'react';
import { ShellProps as NextShellProps } from '@alifd/next/types/shell';
interface ShellProps extends NextShellProps {
    size?: 'large' | 'medium' | 'small';
}
declare class Shell extends Component<ShellProps> {
    static Branding: React.ComponentType<import("@alifd/next/types/shell").ShellCommonProps>;
    static Navigation: React.ComponentType<import("@alifd/next/types/shell").ShellNavigationProps>;
    static Action: React.ComponentType<import("@alifd/next/types/shell").ShellCommonProps>;
    static MultiTask: React.ComponentType<import("@alifd/next/types/shell").ShellCommonProps>;
    static LocalNavigation: React.ComponentType<import("@alifd/next/types/shell").ShellLocalNavigationProps>;
    static AppBar: React.ComponentType<import("@alifd/next/types/shell").ShellCommonProps>;
    static Content: React.ComponentType<import("@alifd/next/types/shell").ShellCommonProps>;
    static Footer: React.ComponentType<import("@alifd/next/types/shell").ShellCommonProps>;
    static Ancillary: React.ComponentType<import("@alifd/next/types/shell").ShellAncillaryProps>;
    static ToolDock: React.ComponentType<import("@alifd/next/types/shell").ShellToolDockProps>;
    static ToolDockItem: React.ComponentType<import("@alifd/next/types/shell").ShellCommonProps>;
    render(): JSX.Element;
}
declare const _default: typeof Shell;
export default _default;
